Passer au contenu principal
GET
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Récupérer les fonctions à partir d'un type pour une définition donnée
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType} \
  --header 'Authorization: Bearer <token>'
{
  "functionSource": "<string>",
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis
definitionId
string
requis
functionType
enum<string>
requis
Options disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Réponse

successful operation

functionSource
string
requis

Le code source ou le script qui définit le comportement de la fonction.

functionType
enum<string>
requis

Le type de fonction, avec les valeurs acceptées : POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Options disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

L'identifiant unique de la fonction d'action.

Last modified on April 13, 2026